org.apache.sysds.runtime.controlprogram.parfor.opt

## Class OptTreePlanMapping

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.opt.OptTreePlanMapping

Direct Known Subclasses:
  OptTreePlanMappingAbstract, OptTreePlanMappingRuntime

    public class OptTreePlanMapping
    extends Object

Helper class for mapping nodes of the internal plan representation to statement blocks and hops / function call statements of a given DML program.

### Constructor Summary

Constructors
Constructor and Description
`OptTreePlanMapping()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `clear()`
`long` `getMappedParentID(long id)`
`OptNode` `getOptNode(long id)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OptTreePlanMapping

    public OptTreePlanMapping()

### Method Detail

#### getOptNode

    public OptNode getOptNode(long id)

#### getMappedParentID

    public long getMappedParentID(long id)

#### clear

    public void clear()